package gorm

import (
	"errors"

	"gorm.io/gorm"
)

var ErrRecordNotFound = gorm.ErrRecordNotFound
var ZeroRowsAffected = errors.New("zero rows was affected")

func ErrOrZeroAffected(resp *gorm.DB) error {
	if resp.Error != nil {
		return resp.Error
	}
	if resp.RowsAffected == 0 {
		return ZeroRowsAffected
	}
	return nil
}
